HyperTrackDocs
Workers

Get Worker By Handle

Fetch the details for a worker using the worker_handle

GET
/workers/{worker_handle}

Fetch the details for a worker using the worker_handle

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

worker_handle*string

Query Parameters

include_deleted?boolean

Flag to fetch deleted worker

from_time?|

ISO 8601 datetime indicating the start time. Default time range 24 hours.

to_time?|

ISO 8601 datetime indicating the end time. Default time range 24 hours.

date?|

ISO 8601 date format ('yyyy-MM-dd') indicating date to be used for the summary computation. Default: current date in worker's timezone.

include_summary?boolean

Flag to include worker summary. Default true.

include_schedule?boolean

Flag to include worker schedule. Default true.

include_timeline?boolean

Flag to include worker timeline. Default false.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workers/string"
{  "worker_handle": "james@ht.com",  "name": "James",  "ops_group_handle": "store-sf",  "product_types": [    "plumbing",    "hardware"  ],  "device_id": "00000000-4636-461C-B5F6-7E4BEFC09575",  "profile": {    "workerId": "0012244",    "vehicle": "Ford F-150",    "zoneId": "4"  },  "status": {    "available": false,    "working": false  },  "schedule": [    {      "start_time": "02:00",      "end_time": "18:00",      "day_of_week": "MONDAY"    },    {      "start_time": "02:00",      "end_time": "18:00",      "day_of_week": "TUESDAY"    },    {      "start_time": "02:00",      "end_time": "18:00",      "day_of_week": "WEDNESDAY"    }  ],  "created_at": "2023-06-01T02:00:00Z",  "home": {    "address": "777 Story Rd, San Jose, CA 95122",    "geometry": {      "type": "Point",      "coordinates": [        -121.8624398,        37.3304521      ]    },    "radius": 100  },  "location": {    "accuracy": 17.47,    "geometry": {      "coordinates": [        -121.877304,        37.371943,        29.26      ],      "type": "Point"    },    "speed": 0  },  "device_status": {    "data": {      "activity": "drive",      "recorded_at": "2023-10-03T20:42:44.969Z"    },    "value": "active"  },  "devices": [    {      "device_id": "00000000-4636-461C-B5F6-7E4BEFC09575",      "start_time": "2023-10-03T20:42:38Z"    }  ],  "summary": {    "orders": {      "completed": 4,      "cancelled": 1,      "assigned": 0,      "ongoing": 2    },    "geotags": 4,    "visits": 4,    "distance": 3000,    "duration": 120,    "tracking_rate": 92.8  },  "work_started_at": "2023-06-06T14:00:00Z",  "timeline": [    {      "type": "route_started",      "recorded_at": "2023-06-06T14:00:00Z",      "route_handle": "route_1",      "data": {},      "location": {        "geometry": {          "type": "Point",          "coordinates": [            -121.8624398,            37.3304521          ]        }      }    },    {      "type": "order_completed",      "recorded_at": "2023-06-06T14:15:00Z",      "order_handle": "order_1",      "data": {},      "location": {        "geometry": {          "type": "Point",          "coordinates": [            -121.8624389,            37.3304522          ]        }      }    }  ]}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}